edu.sc.seis.sod.velocity

## Class SimpleVelocitizer

- java.lang.Object
- - edu.sc.seis.sod.velocity.SimpleVelocitizer

-     public class SimpleVelocitizer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ERR_PREFIX`
    `static java.lang.String` | `VELOCITY_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleVelocitizer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `cleanUpErrorStringForDisplay(java.lang.String string)`
    `java.lang.String` | `evaluate(java.io.InputStream template, org.apache.velocity.VelocityContext ctx)`
    `void` | `evaluate(java.io.InputStream template, org.apache.velocity.VelocityContext ctx, java.io.Writer writer)`
    `java.lang.String` | `evaluate(java.lang.String template, edu.iris.Fissures.IfNetwork.Channel chan)`
    `java.lang.String` | `evaluate(java.lang.String template, edu.iris.Fissures.IfEvent.EventAccessOperations event)`
    `java.lang.String` | `evaluate(java.lang.String template, edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)`
    `java.lang.String` | `evaluate(java.lang.String template, org.apache.velocity.VelocityContext ctx)`
    `static java.lang.String` | `format(edu.iris.Fissures.model.MicroSecondDate date, java.lang.String format)`
    `static void` | `setupVelocityLogger(java.util.Properties velocityProps, org.slf4j.Logger velocityLogger)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VELOCITY_LOGGER_NAME

          public static final java.lang.String VELOCITY_LOGGER_NAME

      See Also:
        Constant Field Values

    - #### ERR_PREFIX

          public static final java.lang.String ERR_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleVelocitizer

          public SimpleVelocitizer()

  - ### Method Detail

    - #### format

          public static java.lang.String format(edu.iris.Fissures.model.MicroSecondDate date,
                                                java.lang.String format)

    - #### evaluate

          public java.lang.String evaluate(java.lang.String template,
                                           edu.iris.Fissures.IfNetwork.Channel chan)

    - #### evaluate

          public java.lang.String evaluate(java.lang.String template,
                                           edu.iris.Fissures.IfEvent.EventAccessOperations event)

    - #### evaluate

          public java.lang.String evaluate(java.lang.String template,
                                           edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                           edu.iris.Fissures.network.ChannelImpl channel,
                                           edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                           edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                           edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                           CookieJar cookieJar)

    - #### evaluate

          public java.lang.String evaluate(java.lang.String template,
                                           org.apache.velocity.VelocityContext ctx)

    - #### evaluate

          public java.lang.String evaluate(java.io.InputStream template,
                                           org.apache.velocity.VelocityContext ctx)

    - #### evaluate

          public void evaluate(java.io.InputStream template,
                               org.apache.velocity.VelocityContext ctx,
                               java.io.Writer writer)
                        throws org.apache.velocity.exception.ParseErrorException,
                               java.lang.Exception

      Throws:
        `org.apache.velocity.exception.ParseErrorException`
        `java.lang.Exception`

    - #### cleanUpErrorStringForDisplay

          public static java.lang.String cleanUpErrorStringForDisplay(java.lang.String string)

    - #### setupVelocityLogger

          public static void setupVelocityLogger(java.util.Properties velocityProps,
                                                 org.slf4j.Logger velocityLogger)